%define pypi_name lua2pack
%define python_name python3-%{pypi_name}
Name:           python-%{pypi_name}
Version:        1.0.19
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Generate RPM or DSC spec files from luarocks

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-only
URL:            https://github.com/huakim/lua2pack
Source:         https://files.pythonhosted.org/packages/source/l/lua2pack/lua2pack-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
Requires:       luarocks
BuildRequires:  python3-pytest
BuildRequires:  python3-devel
BuildRequires:  fdupes
BuildArch:      noarch

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Generate RPM or DSC spec files from luarocks}

%description %_description

%package -n %{python_name}
Summary:        %{summary}

%description -n %{python_name} %_description

%prep
%autosetup -p1 -n lua2pack-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto
%if %{with test}
%check
%pytest
%pyproject_check_import
%pytest
%endif

%files -n %{python_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}/__init__.py
%{python3_sitelib}/%{pypi_name}/__pycache__/*
%{python3_sitelib}/%{pypi_name}/lua_runtime.py
%{python3_sitelib}/%{pypi_name}/osdeps/__init__.py
%{python3_sitelib}/%{pypi_name}/osdeps/__pycache__/*
%{python3_sitelib}/%{pypi_name}/osdeps/generic.py
%{python3_sitelib}/%{pypi_name}/osdeps/lua_rockspec.py
%{python3_sitelib}/%{pypi_name}/osdeps/obsinfo.py
%{python3_sitelib}/%{pypi_name}/osdeps_utils.py
%{python3_sitelib}/%{pypi_name}/templates/generic.spec
%{python3_sitelib}/%{pypi_name}/templates/obs.obsinfo
%{python3_sitelib}/%{pypi_name}/templates/rock.rockspec


%changelog
%autochangelog

